Subject: Re: Federated Consultants?

From: [email-masked] (Paul Pierce)
Date: Wed, 2 Dec 1992 18:44:51 GMT

In article <[email-masked]>, [email-masked] (Douglas W. Jones,201H MLH,3193350740,3193382879) writes:
|> I tried mail and phone contact with Federated Consultants, and failed to
|> make contact (the mail was returned as undeliverable, and the 800 number
|> got me to some men's journal).  Have they gone the way of the dinosaur?

I just got mail from them. It lists a new phone number:

1-800-256-6732

I tried it, it works.
They list Omnibus boards at $75 and up (way up).

|> ESS Limited is still out there, and they list many Omnibus boards at
|> $75 each (I just phoned them).

Whats their contact info?

|> 					Doug Jones
|> 					[email-masked]

-- 
Paul Pierce			[email-masked]
Intel